﻿<%@ Page Language="C#" %>

<!DOCTYPE html>

<script runat="server">
    protected void Page_PreRender(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            if (Request.QueryString["q"] != null)
            {
                uxSearchController.Search(Request.QueryString["q"]);
                searchText.Text = Request.QueryString["q"];
            }
        }
    }

    protected void searchbtn_Click(object sender, EventArgs e)
    {
        string url = Request.RawUrl.ToLower();
        if (url.Contains("?q="))
        {
            url = url.Substring(0, url.IndexOf("?q="));
        }
        url = url + "?q=" + searchText.Text;
        Response.Redirect(url);
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Templated Site Search Sample</title>
</head>
<body>
    <form id="form1" runat="server">
        <h4>You can also pass a search term to the template via querystring using ?q=term ex. (http://site.com/templatedsearch.aspx?q=aloha)</h4>
        <div style="border:1px solid; padding:5px; margin-bottom:10px;">
            This is an example of a panel search to allow for use of the Enter key (if multiple buttons on the page)<br />
            The panel wrapping the textbox and search button specifies the default enter functionality of the panel zone when the cursor is in this panel.<br />
            <asp:Panel ID="search" runat="server" DefaultButton="searchbtn">
                Search Text:
                <asp:TextBox ID="searchText" runat="server"></asp:TextBox>
                <asp:Button ID="searchbtn" runat="server" OnClick="searchbtn_Click" Text="Search" />
            </asp:Panel>
        </div>
        <div class="templatedSearch" style="float:left;">
            <ektron:SiteSearchInputView ID="uxSiteSearchInput"
                ControllerID="uxSearchController" runat="server">
            </ektron:SiteSearchInputView>
            <ektron:SiteSearchResultsView ID="uxSiteSearchResults"
                ControllerID="uxSearchController" runat="server">
            </ektron:SiteSearchResultsView>
            <ektron:SiteSearchController ID="uxSearchController" runat="server">
            </ektron:SiteSearchController>
            <ektronUI:Pager ID="searchpager" runat="server" PageableControlID="uxSearchController" ResultsPerPage="10"></ektronUI:Pager>
        </div>
    </form>
</body>
</html>
